<?xml version="1.0" encoding="UTF-8"?>
<issues format="6" by="lint 8.4.0-alpha08" type="baseline" client="" dependencies="true" name="" variant="all" version="8.4.0-alpha08">

    <issue
        id="NewApi"
        message="Call requires API level 31 (current min is 30): `getAdId`"
        errorLine1="        mAdIdManager.getAdId(sCallbackExecutor, callback);"
        errorLine2="                     ~~~~~~~">
        <location
            file="packages/modules/AdServices/adservices/tests/cts/adid/src/com/android/adservices/tests/adid/AdIdManagerTest.java"
            line="64"
            column="22"/>
    </issue>

    <issue
        id="NewApi"
        message="Call requires API level 31 (current min is 30): `getAdId`"
        errorLine1="        adIdManager.getAdId(sCallbackExecutor, receiver);"
        errorLine2="                    ~~~~~~~">
        <location
            file="packages/modules/AdServices/adservices/tests/cts/adid/src/com/android/adservices/tests/adid/AdIdManagerTest.java"
            line="164"
            column="21"/>
    </issue>

    <issue
        id="MissingVersion"
        message="Should set `android:versionCode` to specify the application version"
        errorLine1="&lt;manifest xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot;"
        errorLine2=" ~~~~~~~~">
        <location
            file="./out/soong/.intermediates/packages/modules/AdServices/adservices/tests/cts/adid/CtsAdExtServicesAdIdEndToEndTest/android_common/737f09fcc0b17bc4650c68e8a26b3dd4/manifest_merger/AndroidManifest.xml"
            line="17"
            column="2"/>
    </issue>

    <issue
        id="MissingVersion"
        message="Should set `android:versionName` to specify the application version"
        errorLine1="&lt;manifest xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot;"
        errorLine2=" ~~~~~~~~">
        <location
            file="./out/soong/.intermediates/packages/modules/AdServices/adservices/tests/cts/adid/CtsAdExtServicesAdIdEndToEndTest/android_common/737f09fcc0b17bc4650c68e8a26b3dd4/manifest_merger/AndroidManifest.xml"
            line="17"
            column="2"/>
    </issue>

    <issue
        id="MissingApplicationIcon"
        message="Should explicitly set `android:icon`, there is no default"
        errorLine1="    &lt;application"
        errorLine2="     ~~~~~~~~~~~">
        <location
            file="./out/soong/.intermediates/packages/modules/AdServices/adservices/tests/cts/adid/CtsAdExtServicesAdIdEndToEndTest/android_common/737f09fcc0b17bc4650c68e8a26b3dd4/manifest_merger/AndroidManifest.xml"
            line="43"
            column="6"/>
    </issue>

</issues>
